<?php
/** 
*@ Copyright infograf768
*@ License http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* @package jwrapperbot
* @subpackage jtarget.php
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin');

class plgSystemJtarget extends JPlugin
{
	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @param	object		$subject The object to observe
	 * @param 	array  		$config  An array that holds the plugin configuration
	 * @since	1.0
	 */
	function plgSystemJtarget(&$subject, $config)  {
		parent::__construct($subject, $config);
	}
	
	function onAfterRoute(){
		global $mainframe;
        $lang = &JFactory::getLanguage();
		if ($mainframe->isAdmin()) {
			return;
		}
		$plugin =& JPluginHelper::getPlugin('system', 'jtarget');
        $pluginParams = new JParameter( $plugin->params );

		//get the template name
		$db =& JFactory::getDBO();

		// Get the current default template
		$query = ' SELECT template '
				.' FROM #__templates_menu '
				.' WHERE client_id =0'
				.' AND menuid = 0 ';
		$db->setQuery($query);
		$defaultemplate = $db->loadResult();
	
	//load the target and the template.css
		
	 	$targetag = JRequest::getVar('targetag', 0);
		$document =& JFactory::getDocument();
		if ($targetag == 1 && $lang->isRTL()) {
		$document->addCustomTag("<base target='_top'/>");
		$document->addCustomTag('<link href="'.JURI::root().'templates/'.$defaultemplate. '/css/template.css" rel="stylesheet" type="text/css" />');
		$document->addCustomTag('<link href="'.JURI::root().'templates/'.$defaultemplate. '/css/template_rtl.css" rel="stylesheet" type="text/css" />');
		} else if ($targetag == 1) {
	    $document->addCustomTag("<base target='_top'/>");
		$document->addCustomTag('<link href="'.JURI::root().'templates/'.$defaultemplate. '/css/template.css" rel="stylesheet" type="text/css" />');
		} else if ($targetag == 2 && $lang->isRTL() ) {
		$document->addCustomTag("<base target='_blank'/>");
		$document->addCustomTag('<link href="'.JURI::root().'templates/'.$defaultemplate. '/css/template.css" rel="stylesheet" type="text/css" />');
		$document->addCustomTag('<link href="'.JURI::root().'templates/'.$defaultemplate. '/css/template_rtl.css" rel="stylesheet" type="text/css" />');
		}else if ($targetag == 2) {
		$document->addCustomTag("<base target='_blank'/>");
		$document->addCustomTag('<link href="'.JURI::root().'templates/'.$defaultemplate. '/css/template.css" rel="stylesheet" type="text/css" />');
		}
		if ($pluginParams->get('cssa') && $targetag != 0) {
	$document->addCustomTag('<link href="'.JURI::root().'templates/'.$defaultemplate. '/css/'.$pluginParams->get('cssa').'" rel="stylesheet" type="text/css" />'); }
	if ($pluginParams->get('cssb')&& $targetag != 0) {
	$document->addCustomTag('<link href="'.JURI::root().'templates/'.$defaultemplate. '/css/'.$pluginParams->get('cssb').'" rel="stylesheet" type="text/css" />'); }
	if ($pluginParams->get('cssc') && $targetag != 0) {
	$document->addCustomTag('<link href="'.JURI::root().'templates/'.$defaultemplate. '/css/'.$pluginParams->get('cssc').'" rel="stylesheet" type="text/css" />'); }
	if ($pluginParams->get('cssd') && $targetag != 0) {
	$document->addCustomTag('<link href="'.JURI::root().'templates/'.$defaultemplate. '/css/'.$pluginParams->get('cssd').'" rel="stylesheet" type="text/css" />');	}
	}
}
		?>